- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ucs_dns_server – Configure DNS servers on Cisco UCS Manager

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Examples

- Status

## Synopsis

- Configure DNS servers on Cisco UCS Manager.

- Examples can be used with the UCS Platform Emulator.

## Requirements

The below requirements are needed on the host that executes this module.

- ucsmsdk

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
delegate_to string | Default: "localhost" | Where the module will be run
description string |  | A user-defined description of the DNS server. Enter up to 256 characters. You can use any characters or spaces except the following: ` (accent mark), (backslash), ^ (carat), " (double quote), = (equal sign), > (greater than), < (less than), or ' (single quote). aliases: descr
dns_server string |  | DNS server IP address. Enter a valid IPV4 Address. UCS Manager supports up to 4 DNS Servers aliases: name
hostname string / required |  | IP address or hostname of Cisco UCS Manager.
password string / required |  | Password for Cisco UCS Manager authentication.
port integer |  | Port number to be used during connection (by default uses 443 for https and 80 for http connection).
proxy string |  | If use_proxy is no, specfies proxy to be used for connection. e.g. 'http://proxy.xy.z:8080'
state string | Choices: absent present ← | If `absent`, will remove a DNS server. If `present`, will add or update a DNS server.
use_proxy boolean | Choices: no yes ← | If `no`, will not use the proxy as defined by system environment variable.
use_ssl boolean | Choices: no yes ← | If `no`, an HTTP connection will be used instead of the default HTTPS connection.
username string | Default: "admin" | Username for Cisco UCS Manager authentication.

## Examples

    - name: Configure DNS server
      ucs_dns_server:
        hostname: 172.16.143.150
        username: admin
        password: password
        dns_server: 10.10.10.10
        description: DNS Server IP address
        state: present
        delegate_to: localhost

    - name: Remove DNS server
      ucs_dns_server:
        hostname: 172.16.143.150
        username: admin
        password: password
        dns_server: 10.10.10.10
        state: absent
        delegate_to: localhost

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- John McDonough (@movinalot)

- CiscoUcs (@CiscoUcs)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.